Create a Project Expense
curl --request POST \
--url https://api.virtuoussoftware.com/api/ProjectExpense \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<integer>",
"expenseAmount": "<double>",
"expenseDate": "<dateTime>",
"accountingCode": "<string>",
"expenseDescription": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<integer>',
expenseAmount: '<double>',
expenseDate: '<dateTime>',
accountingCode: '<string>',
expenseDescription: '<string>'
})
};
fetch('https://api.virtuoussoftware.com/api/ProjectExpense', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectExpense"
payload = {
"projectId": "<integer>",
"expenseAmount": "<double>",
"expenseDate": "<dateTime>",
"accountingCode": "<string>",
"expenseDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectExpense");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"projectId\": \"<integer>\",\n \"expenseAmount\": \"<double>\",\n \"expenseDate\": \"<dateTime>\",\n \"accountingCode\": \"<string>\",\n \"expenseDescription\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectExpense';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<integer>',
expenseAmount: '<double>',
expenseDate: '<dateTime>',
accountingCode: '<string>',
expenseDescription: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"projectId": "<integer>",
"projectName": "<string>",
"projectCode": "<string>",
"parentProjectId": "<integer>",
"parentProjectName": "<string>",
"parentProjectCode": "<string>",
"expenseAmount": "<double>",
"expenseDate": "<dateTime>",
"accountingCode": "<string>",
"expenseDescription": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Projects
Create a Project Expense
Records an expense against a project, so the cost of the work can be reported alongside the giving that funds it. Set accountingCode to the code the expense should post to in your accounting system.
POST
/
api
/
ProjectExpense
Create a Project Expense
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the project this record is designated to.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I